NAUTY-ASSEMBLEG(1)

NAME
nauty-assembleg - assemble input graphs as components of output graphs

SYNOPSIS
assembleg -n#|-n#:# [-i#|i#:#] [-k#|k#:#] [-L] [-q] [-c] [infile [outfile]]

DESCRIPTION

    Assemble input graphs as components of output graphs.

    The output file has no header. If the input has any directed graphs, all outputs are directed. Otherwise, the output format is determined by the header

    or first input.

    The input graphs had better all fit into memory at once,

    unless -L is given, in which case only the graphs of at most half the output size are stored at once.

    The output graphs will be non-isomorphic if the input

    graphs are connected and non-isomorphic.

-n# -n#:#
    Give range of output sizes (compulsory)

-i# -i#:#
    Give range of input sizes to use

-k# -k#:#
    How many input graphs to combine (default -k2:)

-L  Assume all input graphs strictly larger than maxn/2

    vertices follow any smaller graphs in the input, where maxn is the largest size specified by -n. This can greatly reduce memory consumption.

-c  Also write graphs consisting of a single input

    (equivalent to -k1:, overridden by -k)

-u  Generate the graphs but don't write them

-q  Suppress auxiliary information.